Bug 518986 - Can't dual boot to Vista after Fedora 11 installation
Summary: Can't dual boot to Vista after Fedora 11 installation
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 12
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Peter Jones
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-24 13:31 UTC by Gianluca Sforna
Modified: 2010-12-05 06:34 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-12-05 06:34:07 UTC
Type: ---


Attachments (Terms of Use)

Description Gianluca Sforna 2009-08-24 13:31:00 UTC
Description of problem:
After installing Fedora 11 I'm not able to boot to Windows any more; all I get is the message:

BOOTMSGR is missing. Press Ctrl+alt+Del to restart.

I was able to fix the issue by changing t/etc/grub.conf from:

title Vista
	rootnoverify (hd0,0)
	chainloader +1

to 
title Vista
	rootnoverify (hd0,1)
	chainloader +1


so it seems that the code responsible for filling grub.conf picked the wrong hd partition. 

Please note my laptop has one recovery partition as hd0,0 (but I think that's a fairly common setup):

# fdisk -l /dev/sda

Disk /dev/sda: 250.0 GB, 250059350016 bytes
255 heads, 63 sectors/track, 30401 cylinders
Units = cylinders of 16065 * 512 = 8225280 bytes
Disk identifier: 0xd0fc396e

   Device Boot      Start         End      Blocks   Id  System
/dev/sda1               1         192     1536000   27  Unknown
Partition 1 does not end on cylinder boundary.
/dev/sda2             192        4016    30720000    7  HPFS/NTFS
/dev/sda3   *        4016        4042      204800   83  Linux
/dev/sda4            4043       30401   211728667+   5  Extended
/dev/sda5            4043       30401   211728384   83  Linux

Comment 1 Bug Zapper 2009-11-16 11:38:00 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 2 Bug Zapper 2010-11-04 10:24:39 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Gianluca Sforna 2010-11-04 20:58:17 UTC
With a new Fedora 14 installation, grub gets the expected values, so it seems this bug was fixed in the meanwhile.

I'll let this bug die with F12 in one month :)

Comment 4 Bug Zapper 2010-12-05 06:34:07 UTC
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.